com.google.gwt.http.client

## Class ResponseImpl

- java.lang.Object
- - com.google.gwt.http.client.Response
  - - com.google.gwt.http.client.ResponseImpl

-     class ResponseImpl
      extends Response

  A `Response` implementation based on a `XMLHttpRequest`.

- - ### Field Summary

    - ### Fields inherited from class com.google.gwt.http.client.Response

      `SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseImpl(XMLHttpRequest xmlHttpRequest)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getHeader(java.lang.String header)` Returns the value of the requested header or null if the header was not specified.
    `Header[]` | `getHeaders()` Returns an array of HTTP headers associated with this response.
    `java.lang.String` | `getHeadersAsString()` Returns all headers as a single string.
    `int` | `getStatusCode()` Returns the HTTP status code that is part of this response.
    `java.lang.String` | `getStatusText()` Returns the HTTP status message text.
    `java.lang.String` | `getText()` Returns the text associated with the response.
    `protected boolean` | `isResponseReady()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseImpl

          public ResponseImpl(XMLHttpRequest xmlHttpRequest)

  - ### Method Detail

    - #### getHeader

          public java.lang.String getHeader(java.lang.String header)

      Description copied from class: `Response`
      Returns the value of the requested header or null if the header was not specified.
      Specified by:
        `getHeader` in class `Response`
      Parameters:
        `header` - the header to query for
      Returns:
        the value of response header

    - #### getHeaders

          public Header[] getHeaders()

      Description copied from class: `Response`
      Returns an array of HTTP headers associated with this response.
      Specified by:
        `getHeaders` in class `Response`
      Returns:
        array of HTTP headers; returns zero length array if there are no headers

    - #### getHeadersAsString

          public java.lang.String getHeadersAsString()

      Description copied from class: `Response`
      Returns all headers as a single string. The individual headers are delimited by a CR (U+000D) LF (U+000A) pair. An individual header is formatted according to RFC 2616.
      Specified by:
        `getHeadersAsString` in class `Response`
      Returns:
        all headers as a single string delimited by CRLF pairs

    - #### getStatusCode

          public int getStatusCode()

      Description copied from class: `Response`
      Returns the HTTP status code that is part of this response.

      The value will be 0 if the request failed (e.g. network error, or the server disallowed the request) or has been aborted (this will generally be the case when leaving the page).

      Specified by:
        `getStatusCode` in class `Response`
      Returns:
        the HTTP status code or 0

    - #### getStatusText

          public java.lang.String getStatusText()

      Description copied from class: `Response`
      Returns the HTTP status message text.
      Specified by:
        `getStatusText` in class `Response`
      Returns:
        the HTTP status message text

    - #### getText

          public java.lang.String getText()

      Description copied from class: `Response`
      Returns the text associated with the response.
      Specified by:
        `getText` in class `Response`
      Returns:
        the response text

    - #### isResponseReady

          protected boolean isResponseReady()